## org.apache.fop.render.pdf.fonts
Class CourierOblique

    java.lang.Object
      |
      +--org.apache.fop.render.pdf.Font
            |
            +--org.apache.fop.render.pdf.fonts.CourierOblique

public class CourierOblique
extends Font

Constructor Summary
`CourierOblique()`

Method Summary
`java.lang.String` `encoding()` get the encoding of the font
`java.lang.String` `fontName()` get the base font name
`int` `getAscender(int size)`
`int` `getCapHeight(int size)`
`int` `getDescender(int size)`
`int` `getFirstChar()`
`int` `getLastChar()`
`int[]` `getWidths(int size)`
`int` `getXHeight(int size)`
`int` `width(int i, int size)` return width (in 1/1000ths of point size) of character at code point i

Methods inherited from class org.apache.fop.render.pdf.Font
`getSubType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CourierOblique

    public CourierOblique()

Method Detail

### encoding

    public java.lang.String encoding()

  Description copied from class: Font
  get the encoding of the font
  Overrides:
    encoding in class Font

### fontName

    public java.lang.String fontName()

  Description copied from class: Font
  get the base font name
  Overrides:
    fontName in class Font

### getAscender

    public int getAscender(int size)

### getCapHeight

    public int getCapHeight(int size)

### getDescender

    public int getDescender(int size)

### getXHeight

    public int getXHeight(int size)

### getFirstChar

    public int getFirstChar()

### getLastChar

    public int getLastChar()

### width

    public int width(int i,
                     int size)

  Description copied from interface: FontMetric
  return width (in 1/1000ths of point size) of character at code point i

### getWidths

    public int[] getWidths(int size)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.